import { Coordinate } from './mapvis.types';

export const getDistance = (loc1: Coordinate, loc2: Coordinate): number => {
  const [minLon, minLat]: Coordinate = loc1;
  const [maxLon, maxLat]: Coordinate = loc2;
  const lonDistance: number = (maxLon ?? 0) - (minLon ?? 0);
  const latDistance: number = (maxLat ?? 0) - (minLat ?? 0);
  const featureHypot: number = Math.hypot(lonDistance, latDistance);
  return featureHypot;
};
